Built for Business - Learn more about BlackBerry KEY2
  1. mallinj's Avatar
    How hard would it be for RIM to make BBM 5.0 compatible with OS 5.0.0.XXX? I mean, jeez, BBM 5.0 looks quite like threaded SMS which works fine in OS 5.0.0.XXX. Maybe it'll come soon.

    As an aside, anyone else see RIMM stock taken to the woodshed the past two weeks? Holy cow. They missed earnings due to settling a lawsuit. Sales met expectations, AFAIK.
    Last edited by mallinj; 10-02-09 at 08:49 PM.
    10-02-09 08:42 PM
  2. Radius's Avatar
    It's called beta OS and beta software, not ready for prime time yet. Why should they work together at this point?

    Posted from my CrackBerry at wapforums.crackberry.com
    10-02-09 08:56 PM
  3. ssc13's Avatar
    cause its rim and theyre evil! and they dont wanna release OS 5.o yet

    but however, is bbm 2.5 really THAT worth it? I mean i upgraded to 5.0.0.230 and lemme tell ya, this baby is amazing!

    I've never used the new leaked bbm...whats so great about if I may ask?
    10-02-09 09:13 PM
  4. cd36's Avatar
    I think people are getting confused because they are calling BBM 2.5 BBM 5.0. BBM2.5 is the next version of BBM, its not like its made with the new OS. Its like MSN2.5 or Facebook1.6, it isn't integral to the OS, but its own thing.

    Plus only BBM2.5 that you've seen doesn't work with OS5.0, but I'm sure there are newer builds out there.
    10-02-09 09:20 PM
  5. solokamgs's Avatar
    cant wait for bbm 5
    10-04-09 09:06 PM
  6. EG18's Avatar
    cause its rim and theyre evil! and they dont wanna release OS 5.o yet

    but however, is bbm 2.5 really THAT worth it? I mean i upgraded to 5.0.0.230 and lemme tell ya, this baby is amazing!

    I've never used the new leaked bbm...whats so great about if I may ask?
    Its not RIM that is necessarily the hold up. A lot of it comes from the carriers having to test and approve the OS.
    10-04-09 09:14 PM
  7. DataCentre's Avatar
    Where are you getting BBM 2.5 from? I have 4.7 on my beta OS, and last OS I was using was BBM 5.0.0.8.

    Final relased version will probably be 5.0.0.17. (Example). Not 2.5. That would be going backwards.

    Posted from my CrackBerry at wapforums.crackberry.com
    10-04-09 10:04 PM
  8. Shao128's Avatar
    Where are you getting BBM 2.5 from? I have 4.7 on my beta OS, and last OS I was using was BBM 5.0.0.8.

    Final relased version will probably be 5.0.0.17. (Example). Not 2.5. That would be going backwards.
    http://forums.crackberry.com/f151/s-...-5-0-a-319907/ I think its fairly safe to trust the person who posted it
    10-04-09 10:08 PM
  9. DataCentre's Avatar
    Whatever. It's 4.6, 4.7 and 5.0 depending on what's loaded on others devices...so WE (BlackBerry Consumers) know it for what it's listed in the applications.

    Say...let's just call the new 5.0 OS 2.5 just for fun eh?.

    Posted from my CrackBerry at wapforums.crackberry.com
    10-04-09 11:08 PM
  10. katiepea's Avatar
    Whatever. It's 4.6, 4.7 and 5.0 depending on what's loaded on others devices...so WE (BlackBerry Consumers) know it for what it's listed in the applications.

    Say...let's just call the new 5.0 OS 2.5 just for fun eh?.

    Posted from my CrackBerry at wapforums.crackberry.com
    by that logic, can't wait till OS 9.0 comes out
    10-04-09 11:13 PM
  11. BB_Storm4me's Avatar
    The new version of BBM is 5.0.x not 2.5, I've got it loaded and that is what it shows in the application list. I use some of the features of BBM 5 so I'm waiting to move to the 5.x OS until BBM 5 works with it.
    10-05-09 12:03 AM
  12. miiike's Avatar
    Whatever. It's 4.6, 4.7 and 5.0 depending on what's loaded on others devices...so WE (BlackBerry Consumers) know it for what it's listed in the applications.

    Say...let's just call the new 5.0 OS 2.5 just for fun eh?.

    Posted from my CrackBerry at wapforums.crackberry.com
    Except the OS has gone through 5 "major" revisions, according to RIM.

    I think BBM came into play somewhere in the 3.0 device software, thus the 2.x designation.
    10-05-09 12:14 AM
  13. mike068's Avatar
    So I have been told bu reputable sources RIM is working on BBM that is the same or better than BBM 5 but at this point it is buggy but it should be available soon for devices running OS 5.0
    10-05-09 12:27 AM
  14. katiepea's Avatar
    The new version of BBM is 5.0.x not 2.5, I've got it loaded and that is what it shows in the application list. I use some of the features of BBM 5 so I'm waiting to move to the 5.x OS until BBM 5 works with it.
    i think most people have bbm v5.x at this point, the POINT is this http://forums.crackberry.com/f151/s-...-5-0-a-319907/ RIM doesn't acknowledge it as v5, they call it 2.5, thats the discussion
    10-05-09 01:07 AM
LINK TO POST COPIED TO CLIPBOARD